in scala.collection.immutable
class GBTree

abstract protected `class` GBTree [ A , B ]
  `extends` java.lang.Object
  `with` scala.ScalaObject

  GBTree is an internal class used by Tree.

Constructor Summary
| `def` this ( ) ( view$4 : (A) => scala.Ordered[A] )

Type Summary
| `type` aNode
| `type` anInsertTree

Def Summary
| `def` apply ( key : A ) : B
| `def` balance ( s : scala.Int ) : scala.collection.immutable.GBTree[A,B]
| `def` count : scala.Tuple2[scala.Int,scala.Int] Calculates 2^h, and size, where h is the height of the tree and size is the number of nodes in the tree.
| `def` delete ( key : A ) : scala.collection.immutable.GBTree[A,B]
| `def` get ( key : A ) : scala.Option[B]
| `def` insert ( key : A , value : B , size : scala.Int ) : scala.collection.immutable.InsertTree[A,B]
| `def` isDefinedAt ( Key : A ) : scala.Boolean
| `def` merge ( t : scala.collection.immutable.GBTree[A,B] ) : scala.collection.immutable.GBTree[A,B]
| `def` mk_iter ( iter_tail : scala.List[scala.collection.immutable.GBTree[A,B]] ) : scala.List[scala.collection.immutable.GBTree[A,B]]
| `def` takeSmallest : scala.Tuple3[A,B,scala.collection.immutable.GBTree[A,B]]
| `def` toList ( acc : scala.List[scala.Tuple2[A,B]] ) : scala.List[scala.Tuple2[A,B]]
| `def` update ( key : A , value : B ) : scala.collection.immutable.GBTree[A,B]

Constructor Detail

`def` this ( ) ( view$4 : (A) => scala.Ordered[A] )

Type Detail

`type` aNode

`type` anInsertTree

Def Detail

`def` apply ( key : A ) : B

`def` balance ( s : scala.Int ) : scala.collection.immutable.GBTree[A,B]

`def` count : scala.Tuple2[scala.Int,scala.Int]

  Calculates 2^h, and size, where h is the height of the tree and size is the number of nodes in the tree.

`def` delete ( key : A ) : scala.collection.immutable.GBTree[A,B]

`def` get ( key : A ) : scala.Option[B]

`def` insert ( key : A , value : B , size : scala.Int ) : scala.collection.immutable.InsertTree[A,B]

`def` isDefinedAt ( Key : A ) : scala.Boolean

`def` merge ( t : scala.collection.immutable.GBTree[A,B] ) : scala.collection.immutable.GBTree[A,B]

`def` mk_iter ( iter_tail : scala.List[scala.collection.immutable.GBTree[A,B]] ) : scala.List[scala.collection.immutable.GBTree[A,B]]

`def` takeSmallest : scala.Tuple3[A,B,scala.collection.immutable.GBTree[A,B]]

`def` toList ( acc : scala.List[scala.Tuple2[A,B]] ) : scala.List[scala.Tuple2[A,B]]

`def` update ( key : A , value : B ) : scala.collection.immutable.GBTree[A,B]